Bug 1146970 - Namespace context not set for camel bindings with unmanaged threads
Summary: Namespace context not set for camel bindings with unmanaged threads
Keywords:
Status: MODIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: DR4
: ---
Assignee: Keith Babo
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On: 1146953
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-26 13:20 UTC by Rick Wagner
Modified: 2015-11-02 08:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1146953
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker SWITCHYARD-2351 Major Resolved Namespace context not set for camel bindings with unmanaged threads 2015-07-13 06:08:15 UTC

Description Rick Wagner 2014-09-26 13:20:06 UTC
+++ This bug was initially created as a clone of Bug #1146953 +++

Camel components which do not use Camel-managed thread pools can lead to BeanManager resolution issues when the namespace context is not set. The solution to this is to add a routing policy to Camel gateway routes that sets the namespace context for the gateway delivery thread.


Note You need to log in before you can comment on or make changes to this bug.